Bug 308141 - f7 xen kernel does not boot on RHEL5 host
f7 xen kernel does not boot on RHEL5 host
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel-xen (Show other bugs)
7
All Linux
low Severity low
: ---
: ---
Assigned To: Eduardo Habkost
Virtualization Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-26 17:55 EDT by Thomas Vander Stichele
Modified: 2009-12-14 15:41 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-25 00:39:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Thomas Vander Stichele 2007-09-26 17:55:39 EDT
Description of problem:

I upgraded an F6 xen guest on an RHEL5 host to F7.

The latest update kernel (2.6.20-2931.fc7xen) does not work on it; it fails to
execute init.  I looked for and installed a slightly older kernel which is
working on a different F6-upgraded-to-F7 xen guest.

Of the grub.conf below, kernel 0 and 3 boot, 1 doesn't (obviously) and 2 doesn't
but should.

[root@www ~]# cat /etc/grub.conf 
# grub.conf generated by anaconda
#
# Note that you do not have to rerun grub after making changes to this file
# NOTICE:  You have a /boot partition.  This means that
#          all kernel and initrd paths are relative to /boot/, eg.
#          root (hd0,0)
#          kernel /vmlinuz-version ro root=/dev/VolGroup00/LogVol00
#          initrd /initrd-version.img
#boot=/dev/xvda
default=0
timeout=5
splashimage=(hd0,0)/grub/splash.xpm.gz
hiddenmenu
title Fedora (2.6.20-2925.11.fc7xen)
        root (hd0,0)
        kernel /vmlinuz-2.6.20-2925.11.fc7xen ro root=/dev/VolGroup00/LogVol00
console=xvc0 rhgb quiet
        initrd /initrd-2.6.20-2925.11.fc7xen.img
title Fedora (2.6.22.5-76.fc7)
        root (hd0,0)
        kernel /vmlinuz-2.6.22.5-76.fc7 ro root=/dev/VolGroup00/LogVol00
console=xvc0 rhgb quiet
        initrd /initrd-2.6.22.5-76.fc7.img
title Fedora (2.6.20-2931.fc7xen)
        root (hd0,0)
        kernel /vmlinuz-2.6.20-2931.fc7xen ro root=/dev/VolGroup00/LogVol00
console=xvc0 rhgb quiet
        initrd /initrd-2.6.20-2931.fc7xen.img
title Fedora Core (2.6.18-1.2798.fc6xen)
        root (hd0,0)
        kernel /vmlinuz-2.6.18-1.2798.fc6xen ro root=/dev/VolGroup00/LogVol00
console=xvc0 rhgb quiet
        initrd /initrd-2.6.18-1.2798.fc6xen.img
Comment 1 Eduardo Habkost 2007-10-11 09:54:34 EDT
What messages are shown on the console when the guest doesn't boot?

Could you paste or attach the output of 'xm console'?
Comment 2 Eduardo Habkost 2007-10-11 10:03:02 EDT
Additional question: what architecture (x86_64 or i686) are you running?
Comment 3 Eduardo Habkost 2007-10-11 13:49:49 EDT
It seems to be a duplicate of bug #296491.

Could you regenerated your initrd 
(mkinitrd -f /boot/initrd-2.6.20-2931.fc7xen.img 2.6.20-2931.fc7xen) and see 
if it works?
Comment 4 Jon Stanley 2008-01-16 19:41:02 EST
Hello Thomas -

Have you had a chance to regenerate your initrd as suggested by Eduardo in
comment #3?
Comment 5 Brian Powell 2008-04-25 00:39:50 EDT
The information we've requested above is required in order
to review this problem report further and diagnose/fix the
issue if it is still present.  Since there have not been any
updates to the report since thirty (30) days or more since we
requested additional information, we're assuming the problem
is either no longer present in the current Fedora release, or
that there is no longer any interest in tracking the problem.

Setting status to "CLOSED INSUFFICIENT_DATA".  If you still
experience this problem after updating to our latest Fedora
release and can provide the information previously requested, 
please feel free to reopen the bug report.

Thank you in advance.

Note that maintenance for Fedora 7 will end 30 days after the GA of Fedora 9.

Note You need to log in before you can comment on or make changes to this bug.